Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class HorizontalHeaderTable

    java.lang.Object
      org.pdfbox.ttf.TTFTable
          org.pdfbox.ttf.HorizontalHeaderTable

public class HorizontalHeaderTable
extends TTFTable

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `TAG` A tag that identifies this table type.

Constructor Summary
`HorizontalHeaderTable()`

Method Summary
`int` | `getAdvanceWidthMax()`
`short` | `getAscender()`
`short` | `getCaretSlopeRise()`
`short` | `getCaretSlopeRun()`
`short` | `getDescender()`
`short` | `getLineGap()`
`short` | `getMetricDataFormat()`
`short` | `getMinLeftSideBearing()`
`short` | `getMinRightSideBearing()`
`int` | `getNumberOfHMetrics()`
`short` | `getReserved1()`
`short` | `getReserved2()`
`short` | `getReserved3()`
`short` | `getReserved4()`
`short` | `getReserved5()`
`float` | `getVersion()`
`short` | `getXMaxExtent()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setAdvanceWidthMax(int advanceWidthMaxValue)`
`void` | `setAscender(short ascenderValue)`
`void` | `setCaretSlopeRise(short caretSlopeRiseValue)`
`void` | `setCaretSlopeRun(short caretSlopeRunValue)`
`void` | `setDescender(short descenderValue)`
`void` | `setLineGap(short lineGapValue)`
`void` | `setMetricDataFormat(short metricDataFormatValue)`
`void` | `setMinLeftSideBearing(short minLeftSideBearingValue)`
`void` | `setMinRightSideBearing(short minRightSideBearingValue)`
`void` | `setNumberOfHMetrics(int numberOfHMetricsValue)`
`void` | `setReserved1(short reserved1Value)`
`void` | `setReserved2(short reserved2Value)`
`void` | `setReserved3(short reserved3Value)`
`void` | `setReserved4(short reserved4Value)`
`void` | `setReserved5(short reserved5Value)`
`void` | `setVersion(float versionValue)`
`void` | `setXMaxExtent(short maxExtentValue)`

Methods inherited from class org.pdfbox.ttf.TTFTable
`getCheckSum, getLength, getOffset, getTag, setCheckSum, setLength, setOffset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  A tag that identifies this table type.

  See Also:
    Constant Field Values

Constructor Detail

### HorizontalHeaderTable

    public HorizontalHeaderTable()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Overrides:
    `initData` in class `TTFTable`
  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getAdvanceWidthMax

    public int getAdvanceWidthMax()

  Returns:
    Returns the advanceWidthMax.

### setAdvanceWidthMax

    public void setAdvanceWidthMax(int advanceWidthMaxValue)

  Parameters:
    `advanceWidthMaxValue` - The advanceWidthMax to set.

### getAscender

    public short getAscender()

  Returns:
    Returns the ascender.

### setAscender

    public void setAscender(short ascenderValue)

  Parameters:
    `ascenderValue` - The ascender to set.

### getCaretSlopeRise

    public short getCaretSlopeRise()

  Returns:
    Returns the caretSlopeRise.

### setCaretSlopeRise

    public void setCaretSlopeRise(short caretSlopeRiseValue)

  Parameters:
    `caretSlopeRiseValue` - The caretSlopeRise to set.

### getCaretSlopeRun

    public short getCaretSlopeRun()

  Returns:
    Returns the caretSlopeRun.

### setCaretSlopeRun

    public void setCaretSlopeRun(short caretSlopeRunValue)

  Parameters:
    `caretSlopeRunValue` - The caretSlopeRun to set.

### getDescender

    public short getDescender()

  Returns:
    Returns the descender.

### setDescender

    public void setDescender(short descenderValue)

  Parameters:
    `descenderValue` - The descender to set.

### getLineGap

    public short getLineGap()

  Returns:
    Returns the lineGap.

### setLineGap

    public void setLineGap(short lineGapValue)

  Parameters:
    `lineGapValue` - The lineGap to set.

### getMetricDataFormat

    public short getMetricDataFormat()

  Returns:
    Returns the metricDataFormat.

### setMetricDataFormat

    public void setMetricDataFormat(short metricDataFormatValue)

  Parameters:
    `metricDataFormatValue` - The metricDataFormat to set.

### getMinLeftSideBearing

    public short getMinLeftSideBearing()

  Returns:
    Returns the minLeftSideBearing.

### setMinLeftSideBearing

    public void setMinLeftSideBearing(short minLeftSideBearingValue)

  Parameters:
    `minLeftSideBearingValue` - The minLeftSideBearing to set.

### getMinRightSideBearing

    public short getMinRightSideBearing()

  Returns:
    Returns the minRightSideBearing.

### setMinRightSideBearing

    public void setMinRightSideBearing(short minRightSideBearingValue)

  Parameters:
    `minRightSideBearingValue` - The minRightSideBearing to set.

### getNumberOfHMetrics

    public int getNumberOfHMetrics()

  Returns:
    Returns the numberOfHMetrics.

### setNumberOfHMetrics

    public void setNumberOfHMetrics(int numberOfHMetricsValue)

  Parameters:
    `numberOfHMetricsValue` - The numberOfHMetrics to set.

### getReserved1

    public short getReserved1()

  Returns:
    Returns the reserved1.

### setReserved1

    public void setReserved1(short reserved1Value)

  Parameters:
    `reserved1Value` - The reserved1 to set.

### getReserved2

    public short getReserved2()

  Returns:
    Returns the reserved2.

### setReserved2

    public void setReserved2(short reserved2Value)

  Parameters:
    `reserved2Value` - The reserved2 to set.

### getReserved3

    public short getReserved3()

  Returns:
    Returns the reserved3.

### setReserved3

    public void setReserved3(short reserved3Value)

  Parameters:
    `reserved3Value` - The reserved3 to set.

### getReserved4

    public short getReserved4()

  Returns:
    Returns the reserved4.

### setReserved4

    public void setReserved4(short reserved4Value)

  Parameters:
    `reserved4Value` - The reserved4 to set.

### getReserved5

    public short getReserved5()

  Returns:
    Returns the reserved5.

### setReserved5

    public void setReserved5(short reserved5Value)

  Parameters:
    `reserved5Value` - The reserved5 to set.

### getVersion

    public float getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(float versionValue)

  Parameters:
    `versionValue` - The version to set.

### getXMaxExtent

    public short getXMaxExtent()

  Returns:
    Returns the xMaxExtent.

### setXMaxExtent

    public void setXMaxExtent(short maxExtentValue)

  Parameters:
    `maxExtentValue` - The xMaxExtent to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD